org.modeshape.jcr.query.engine.process

## Class BufferedRows.DoubleNodeRow

- java.lang.Object
- - org.modeshape.jcr.query.engine.process.BufferedRows.DoubleNodeRow

- All Implemented Interfaces:
    BufferedRows.BufferedRow, NodeSequence.RowAccessor
  Enclosing class:
    BufferedRows

      public static final class BufferedRows.DoubleNodeRow
      extends Object
      implements BufferedRows.BufferedRow

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BufferedRows.DoubleNodeRow(CachedNode node1, CachedNode node2, float score1, float score2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CachedNode` | `getNode()` Get the first node in the current row.
    `CachedNode` | `getNode(int index)` Get the node at the specified index in the current row.
    `float` | `getScore()` Get the score for the first node in the current row.
    `float` | `getScore(int index)` Get the score for the specified node in the current row.
    `String` | `toString()`
    `int` | `width()` Get the number of nodes in each row.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferedRows.DoubleNodeRow

          protected BufferedRows.DoubleNodeRow(CachedNode node1,
                                    CachedNode node2,
                                    float score1,
                                    float score2)

  - ### Method Detail

    - #### width

          public int width()

      Description copied from interface: `NodeSequence.RowAccessor`
      Get the number of nodes in each row.
      Specified by:
        `width` in interface `NodeSequence.RowAccessor`
      Returns:
        the width of each row; always positive

    - #### getNode

          public CachedNode getNode()

      Description copied from interface: `NodeSequence.RowAccessor`
      Get the first node in the current row. This is a convenience method that is equivalent to `getNode(0)`.
      Specified by:
        `getNode` in interface `NodeSequence.RowAccessor`
      Returns:
        the first node in the current row; may be null if there is no node at the first position in this row

    - #### getNode

          public CachedNode getNode(int index)

      Description copied from interface: `NodeSequence.RowAccessor`
      Get the node at the specified index in the current row.
      Specified by:
        `getNode` in interface `NodeSequence.RowAccessor`
      Parameters:
        `index` - the 0-based index for the node in the row; must be less than `NodeSequence.RowAccessor.width()`.
      Returns:
        the specified node in the current row; may be null if there is no node at the valid index in this row

    - #### getScore

          public float getScore()

      Description copied from interface: `NodeSequence.RowAccessor`
      Get the score for the first node in the current row. This is a convenience method that is equivalent to `getScore(0)`.
      Specified by:
        `getScore` in interface `NodeSequence.RowAccessor`
      Returns:
        the score for the first node in the current row; always 0.0f if there is no corresponding node at the valid index in this row

    - #### getScore

          public float getScore(int index)

      Description copied from interface: `NodeSequence.RowAccessor`
      Get the score for the specified node in the current row.
      Specified by:
        `getScore` in interface `NodeSequence.RowAccessor`
      Parameters:
        `index` - the 0-based index for the node in the row; must be less than `NodeSequence.RowAccessor.width()`.
      Returns:
        the score for the specified node in the current row; always 0.0f if there is no corresponding node at the valid index in this row

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.